Subject: Re: [PATCH net-next] net: dsa: hellcreek: Print warning only once

From: Kurt Kanzenbach <[email-masked]>
Date: Mon, 05 Sep 2022 14:28:46 +0200

>>   static void dwmac1000_core_init(struct mac_device_info *hw,
>>   				struct net_device *dev)
>
> You should be able to remove the net_device reference here since we do 
> not use it anymore after the removal of netdev_uses_dsa() or 
> de-referencing of priv.

That's true for dwmac1000_core_init(). However, dwmac4_core_init() is
using priv now for some timestamping waitqueue initialization.

Thanks,
Kurt